﻿
using System.Collections.Generic;
using System.Web.UI;
using System.Linq;

using POC.Common;

/// <summary>
/// Summary description for HierarchyExtensions
/// </summary>

namespace POC.Web.HierarchyExtensions
{
    public static class HierarchyConverter
    {
        public static HierarchicalModelList
            ToHierarchicalModelList<T>(this IEnumerable<T> modelWithHierarchy)
            where T : IModelWithHierarchy<T>
        {
            return new HierarchicalModelList(
                modelWithHierarchy.Select(m => new HierarchyData<T>(m) as IHierarchyData));
        }
    }
}

